org.aspectj.runtime.internal

## Class CFlowPlusState

- java.lang.Object
- - org.aspectj.runtime.CFlow
  - - org.aspectj.runtime.internal.CFlowPlusState

    public class CFlowPlusState
    extends CFlow

### Constructor Summary

Constructors
Constructor and Description
`CFlowPlusState(Object[] state)`
`CFlowPlusState(Object[] state, Object _aspect)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `get(int index)`

### Methods inherited from class org.aspectj.runtime.CFlow

`getAspect, setAspect`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CFlowPlusState

    public CFlowPlusState(Object[] state)

#### CFlowPlusState

    public CFlowPlusState(Object[] state,
                          Object _aspect)

### Method Detail

#### get

    public Object get(int index)

Overrides:
  `get` in class `CFlow`